Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SNamed

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ABuild, ABuildGeography, ABuildGrid, ABuildNetwork, ABuildProjection, ABuildSpace, AGroup, AInitialize, AMethod, ARule, ASchedule, FArgumentArrayPrototype, FArgumentPrototype, FGeneric, FGenericFunction, FGenericLogical, FImplementedLibrary, FLibrary, FLogicalOperator, FMultiArgumentPrototype, FOperator, SActable, SAgent, SAttribute, SAttributeArray, SAttributed, SContext, SContinuousSpace, SGeography, SGrid, SNDimensional, SNetwork, SProjection, SState, SStateValue, SStyle, SStyle2D, SStyle3D, SStyleShape, SValueLayer

All Known Implementing Classes:
  ABuildGeographyImpl, ABuildGridImpl, ABuildImpl, ABuildNetworkImpl, ABuildProjectionImpl, ABuildSpaceImpl, AGroupImpl, AInitializeImpl, AMethodImpl, ARuleImpl, AScheduleImpl, FArgumentArrayPrototypeImpl, FArgumentPrototypeImpl, FGenericFunctionImpl, FGenericImpl, FGenericLogicalImpl, FImplementedLibraryImpl, FLibraryImpl, FLogicalOperatorImpl, FMultiArgumentPrototypeImpl, FOperatorImpl, SActableImpl, SAgentImpl, SAttributeArrayImpl, SAttributedImpl, SAttributeImpl, SContextImpl, SContinuousSpaceImpl, SGeographyImpl, SGridImpl, SNamedImpl, SNDimensionalImpl, SNetworkImpl, SProjectionImpl, SStateImpl, SStateValueImpl, SStyle2DImpl, SStyle3DImpl, SStyleImpl, SStyleShapeImpl, SValueLayerImpl

    public interface SNamed

extends IID

A representation of the model object ' SNamed'.

Author:
  Miles Parker

  The following features are supported:

  - `Plural Label`
  - `Description`
See Also:
  `MetaABMPackage.getSNamed()`

Method Summary
`java.lang.String` | `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` | `getPluralLabel()` Returns the value of the 'Plural Label' attribute.
`boolean` | `references(IValue value)`
`void` | `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` | `setPluralLabel(java.lang.String value)` Sets the value of the '`Plural Label`' attribute.

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPluralLabel

    java.lang.String getPluralLabel()

  Returns the value of the 'Plural Label' attribute.

  If the meaning of the 'Plural Label' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Plural Label' attribute.
  See Also:
    `setPluralLabel(String)`, `MetaABMPackage.getSNamed_PluralLabel()`

### setPluralLabel

    void setPluralLabel(java.lang.String value)

  Sets the value of the '`Plural Label`' attribute.

  Parameters:
    `value` - the new value of the 'Plural Label' attribute.
  See Also:
    `getPluralLabel()`

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `MetaABMPackage.getSNamed_Description()`

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### references

    boolean references(IValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD